hbase-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Ming Ma (Commented) (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (HBASE-4677) Remove old single bulkLoadHFile method
Date Tue, 01 Nov 2011 00:37:32 GMT

    [ https://issues.apache.org/jira/browse/HBASE-4677?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=13140725#comment-13140725
] 

Ming Ma commented on HBASE-4677:
--------------------------------

What is the general recommendation to application developer w.r.t HBase major upgrade?  We
have some application built on 0.90.4 that uses LoadIncrementalHFiles on the application machines.
In that scenario, the application jar that use HBase 0.90.4 jar won't work with 0.92.0 HBase
cluster.

In the long term do we want to get to a point where we have HBase_client.jar and HBase_server.jar?
In that scenario, application can continue to use an old version of HBase_client.jar to talk
to newer version of HBase_server.jar. The old IPC methods will need to be maintained for that
scenario. Or perhaps such kind of compatibility support should be done on a higher leverl
like Thift?

Perhaps it isn't a major issue until we have lots of HBase applications running and HBase
is used as a service.




                
> Remove old single bulkLoadHFile method
> --------------------------------------
>
>                 Key: HBASE-4677
>                 URL: https://issues.apache.org/jira/browse/HBASE-4677
>             Project: HBase
>          Issue Type: Sub-task
>          Components: regionserver
>            Reporter: Jonathan Hsieh
>            Assignee: Jonathan Hsieh
>             Fix For: 0.92.0
>
>         Attachments: hbase-4677.patch
>
>
> In review for HBASE-4649, there is some debate as whether to remove, deprecate, or leave
the HRegionServer.bulkLoadHFile method. https://reviews.apache.org/r/2545/ .   This jira will
take care of that for the 0.92 and trunk releases, and allow the same patch to remain for
an optional 0.90.x patch.

--
This message is automatically generated by JIRA.
If you think it was sent incorrectly, please contact your JIRA administrators: https://issues.apache.org/jira/secure/ContactAdministrators!default.jspa
For more information on JIRA, see: http://www.atlassian.com/software/jira

        

Mime
View raw message